
Imports System.Data

Partial Class counterPage
    Inherits System.Web.UI.UserControl

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim db As New FirstClass()
        Dim dt As New DataTable()

        dt = db.dbOut("SELECT TOP 1 VisitID FROM VisitCounts")

        db.cmd.Parameters.Add("@VisitID", SqlDbType.Float).Value = (Single.Parse(dt.Rows(0)(0).ToString()) + 1)

        db.exeCommand("sp_VisitCounts_Update")
    End Sub
End Class
